=== debian/changelog ===
ros-noetic-dataspeed-pds-lcm (1.0.6-1buster) buster; urgency=high

  * Updated license year for 2020
  * Renamed PDS to iPDS
  * Update LCM status message
  * Support all 3 internal temp sensors on RevI hardware
  * Contributors: Michael Lohrer

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 Nov 2020 05:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.5-1buster) buster; urgency=high

  * Add missing rostest dependency
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 28 Jul 2020 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.4-1buster) buster; urgency=high

  * Don't extract the LCM binaries for the buildfarm since they're available for modern distributions
  * Change liblcm dependency to match official rosdep rule
    https://github.com/ros/rosdistro/pull/25736
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 24 Jul 2020 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.3-1buster) buster; urgency=high

  * Fix cmake dependency error with catkin_EXPORTED_TARGETS
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_aut
  * Enabled code coverage testing when built as debug
  * Fixed bad asserts
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 09 Jul 2020 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.2-1buster) buster; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 29 Jun 2018 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.1-1buster) buster; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 28 Jun 2018 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (1.0.0-1buster) buster; urgency=high

  * Use ROS message syncronization to dynamically sync up to 4 units (master and 3 slaves)
  * Fixed LCM cmake detection using cmake module FindLCM.cmake
  * LCM status messages have 20ms period
  * Added roslaunch syntax check
  * Added hz test
  * Updated license year for 2018
  * Contributors: Kevin Hallenbeck, Lincoln Lorenz

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 25 Apr 2018 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (0.1.2-1buster) buster; urgency=high

  * Fixed inverter status
  * Contributors: Eric Myllyoja, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (0.1.1-1buster) buster; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

ros-noetic-dataspeed-pds-lcm (0.1.0-1buster) buster; urgency=high

  * Initial release
  * Contributors: Eric Myllyoja, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000
