=== debian/control ===
Source: ros-noetic-dataspeed-pds-lcm
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), liblcm-dev, ros-noetic-catkin, ros-noetic-dataspeed-pds-msgs, ros-noetic-message-filters, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rostest
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-noetic-dataspeed-pds-lcm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblcm1, ros-noetic-dataspeed-pds-msgs, ros-noetic-message-filters, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslaunch
Description: Interface to the Dataspeed Inc.
 Intelligent Power Distribution System (iPDS) via LCM
